<packet name="UpdateMerchant">
	<version number="1">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u8 name="unknown7" size="4">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str16 name="description">
		</array>
		<u32 name="type">
	</version>
	<version number="373">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
		</array>
		<u32 name="type">
	</version>
	<version number="546">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="item_difficulty">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u32 name="status2">
		</array>
		<u8 name="type">
		<u8 name="unknown" size="2">
	</version>
	<version number="561">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="item_difficulty">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u32 name="status2">
			<str16 name="description">
		</array>
		<u16 name="type">
		<u8 name="unknown" size="2">
	</version>
	<version number="562">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u8 name="unknown7" size="4">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str16 name="description">
		</array>
		<u32 name="type">
	</version>
	<version number="1096">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u32 name="status2">
			<u32 name="station_cash">
			<u8 name="unknown7" size="2">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str16 name="description">
		</array>
		<u32 name="type">
	</version>
	<version number="1188">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u16 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="unknown4">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u32 name="status2">
			<u32 name="station_cash">
			<u8 name="unknown7" size="2">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str16 name="description">
		</array>
		<u32 name="type">
	</version>
	<version number="57080">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u32 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="unknown4">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u32 name="status2">
			<u32 name="station_cash">
			<u8 name="unknown7" size="2">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str8 name="description">
			<u8 name="unknown" size="3">
		</array>
		<u32 name="type">
		<u8 name="unknown8" size="43">
	</version>
	<version number="60085">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u32 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="unknown4">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status2">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u32 name="status">
			<u32 name="station_cash">
			<u8 name="unknown7" size="4">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str16 name="description">
		</array>
		<u32 name="type">
		<u8 name="unknown8" size="43">
	</version>
	<version number="63119">
		<u32 name="spawn_id">
		<u16 name="num_items">
		<array name="item_array" count="var:num_items">
			<str8 name="item_name">
			<u64 name="price">
			<i32 name="item_id">
			<i32 name="unique_item_id">
			<u32 name="stack_size">
			<u16 name="icon">
			<u8 name="item_difficulty">
			<u8 name="level">
			<u8 name="display_flags">
			<u8 name="unknown4">
			<u8 name="quantity">
			<u8 name="unknown5">
			<u8 name="tier">
			<u32 name="status">
			<i32 name="item_id2">
			<u16 name="stack_size2">
			<u16 name="unknown_mj1">
			<u32 name="status2">
			<u32 name="station_cash">
			<u8 name="unknown7" size="2">
			<u8 name="num_tokens" size=" 1">
			<array name="token_array" count="var:num_tokens">
				<u16 name="token_icon" size=" 1">
				<u16 name="token_qty" size=" 1">
				<i32 name="token_id" size=" 1">
				<i32 name="token_id2" size=" 1">
				<str16 name="token_name" size=" 1">
			</array>
			<str16 name="description">
		</array>
		<u32 name="type">
		<u16 name="unknown8a" size="20">
		<u8 name="unknown8b" size="3">
	</version>
</packet>